Description

Hello,

I'm not sure if this is a defect or a configuration issue in redmine. See redmine/plugins versions below

 

 

When a user clicks on a a issue with file attached, then the file name ... Redmine is showing a screen with "no preview available" and

a link to download the file. I noticed in previous versions there was a preview, so ..

the preview on attached files is controlled by a redmine setting?

is the preview option dependent on the file-type?

How can I get redmine to show a preview of the attachment?

Thanks in advance.

-Alex

Environment:

Redmine version                3.4.4.stable

Ruby version                   2.3.4-p301 (2017-03-30) [x86_64-linux]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.1
Filesystem

Redmine plugins:

advanced_roadmap_v2            2.4.2

easy_baseline                  1.4

easy_gantt                     1.10

easy_gantt_pro                 1.10

easy_wbs                       2016-0.0

redmine_agile                  1.4.5

redmine_checklists             3.1.5

redmine_ckeditor               1.1.4

redmine_contacts               4.1.1

redmine_contacts_helpdesk      3.0.9

redmine_dmsf                   1.6.0

redmine_drawio                 0.8.1

redmine_people                 1.3.0

Related issues:

Related to Redmine - Feature #22482: Respond with "No preview available" inst... Closed

History

#1 - 2018-04-17 12:05 - Alex Perez

It may be related to #25988

But I'm not sure if this behaviour is caused by the file-type or some remdine-level setting ..?

#2 - 2018-04-17 13:09 - Bernhard Rohloff

How is the behavior with images or PDF documuments? Are they shown correctly?

I can't remember any point in time where Redmine gave me a preview of a .docx document in the browser...

I've quickly tested this on my Redmine instance and this seems to be the expected view.

#3 - 2018-04-18 10:19 - Alex Perez

With PDF is pretty the same as doc/docx: no preview un the issue view, and clicking in the filename show a "no preview available" and a option to

download the file.

With png/jpeg images the preview is shown

#4 - 2018-04-18 10:55 - Go MAEDA

It is the expected behavior. Current versions of Redmine supports preview for only images.

#5 - 2018-04-30 04:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

#6 - 2018-04-30 04:36 - Go MAEDA

- Related to Feature #22482: Respond with "No preview available" instead of sending the file when no preview is available added

#7 - 2020-07-07 13:06 - Andrea Valle

Hello, is there a way to roll back to the previous behavior?

My customers are preferring the old "click and download" behavior.

Thank you.

By the way, i reverted patch number 3 from #22482 to obtain the old behaviour, but maybe a setting could be a nice-to-have!
